SpriteLibrary
SpriteLibrary
SpriteLibrary
SpriteController Class
SpriteController Methods
AddSprite Method
AdjustPoint Method
AdjustRectangle Method
AllNamedSprites Method
AllSprites Method
ChangeTickInterval Method
CountSpritesBasedOff Method
DestroyAllSprites Method
DestroySprite Method
DuplicateSprite Method
Invalidate Method
IsKeyPressed Method
KeysPressed Method
LinkControllersForSpriteTemplateSharing Method
NameSprite Method
Pause Method
PlaceSpriteBehind Method
PlaceSpriteInFrontOf Method
RegisterKeyDownFunction Method
RegisterKeyUpFunction Method
ReplaceOriginalImage Method
ResetKeypressState Method
ReturnAdjustmentRatio Method
ReturnPictureBoxAdjustedHeight Method
ReturnPictureBoxAdjustedPoint Method
ReturnPictureBoxAdjustedWidth Method
ReturnPointAdjustedForImage Method
SetSpriteDatabase Method
SoundIsFinished Method
SoundPlay Method
SpriteBackwards Method
SpriteForwards Method
SpriteFromName Method
SpritesAtImagePoint Method
SpritesAtPoint Method
SpritesBasedOff Method
SpritesBasedOffAnything Method
SpritesInImageRectangle Method
SpritesThatHaveBeenDrawn Method
SpriteToBack Method
SpriteToFront Method
UnlinkControllersForSpriteTemplateSharing Method
UnPause Method

# SpriteController CountSpritesBasedOff Method

Count the number of sprites that were duplicated from the sprite with the specified name. When you use a SpriteController.DuplicateSprite(string) command, it creates a new sprite that is based off the named sprite. This function will count those duplicated sprites.

Namespace: SpriteLibrary
Assembly: SpriteLibrary (in SpriteLibrary.dll) Version: 1.0.0.6 (1.0.0.6)
Syntax
C#
Copy

    public int CountSpritesBasedOff(
    	string Name
    )

#### Parameters

Name
  Type: System
  String
  The name to look for

#### Return Value

Type: Int32
The count of sprites that are duplicates of the specified name
See Also

#### Reference

SpriteController Class
SpriteLibrary Namespace